git-branchless-difftool(1)

NAME
difftool - Use the partial commit selector UI as a Git-compatible difftool; see git-difftool(1) for more information on Git difftools

SYNOPSIS
difftool [-d|--dir-diff] [--read-only] [-N|--dry-run] [-b|--base] [-o|--output] [-h|--help] <LEFT> <RIGHT>

DESCRIPTION
Use the partial commit selector UI as a Git-compatible difftool; see git-difftool(1) for more information on Git difftools

OPTIONS

-d, --dir-diff
    Instead of comparing two files, compare two directories recursively

--read-only
    Disable all editing controls and do not write the selected commit contents to disk

-N, --dry-run
    Show what would have been written to disk as part of the commit selection, but do not actually write it

-b, --base=BASE
    Render the interface as a mergetool instead of a difftool and use this file as the base of a three-way diff as part of resolving merge conflicts

-o, --output=OUTPUT
    Write the resolved merge conflicts to this file

-h, --help
    Print help

<LEFT>
    The left-hand file to compare (or directory if `--dir-diff` is passed)

<RIGHT>
    The right-hand file to compare (or directory if `--dir-diff` is passed)